List custom networks
curl --request GET \
--url https://api.omnistrate.cloud/2022-09-01-00/resource-instance/custom-network \
--header 'Cookie: <cookie>'import requests
url = "https://api.omnistrate.cloud/2022-09-01-00/resource-instance/custom-network"
headers = {"Cookie": "<cookie>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<cookie>'}};
fetch('https://api.omnistrate.cloud/2022-09-01-00/resource-instance/custom-network', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customNetworks": [
{}
]
}Custom networks
List custom networks
List the custom networks available to your subscriptions.
GET
/
2022-09-01-00
/
resource-instance
/
custom-network
List custom networks
Lists the custom networks you can deploy into. Pass a network ID as
custom_network_id when creating an Enterprise deployment instance.
VPC peering is not available through the API. To peer a custom network with your own VPC, open a support ticket at support.falkordb.com or email support@falkordb.com.
Authorization
Query parameters
string
Only return custom networks available to this subscription.
string
Filter by cloud provider, for example
aws or gcp.string
Filter by cloud provider region, for example
us-east-1.boolean
Return only custom networks. When
false, default and imported networks are included as well.Response
object[]
required
The custom networks. See Describe custom network for the full field list.
200 OK
{
"customNetworks": [
{
"id": "net-abc123",
"name": "prod-vpc",
"cidr": "10.0.0.0/16",
"cloudProviderName": "aws",
"cloudProviderRegion": "us-east-1",
"status": "READY"
}
]
}
Errors
See Error for the error response shape.Was this page helpful?